/**
 * Format of element size
 */
export declare type SizeFormat = {
    /**
     * Width of the element
     */
    width?: string;
    /**
     * Height of the element
     */
    height?: string;
    /**
     * Maximum width of the element
     */
    maxWidth?: string;
    /**
     * Maximum height of the element
     */
    maxHeight?: string;
    /**
     * Minimum width of the element
     */
    minWidth?: string;
    /**
     * Minimum height of the element
     */
    minHeight?: string;
};
