import type { ContentModelCode, ReadonlyContentModelCode } from './ContentModelCode';
import type { ContentModelLink, ReadonlyContentModelLink } from './ContentModelLink';
import type { ContentModelListLevel, ReadonlyContentModelListLevel } from './ContentModelListLevel';
/**
 * Union type for segment decorators
 */
export declare type ContentModelDecorator = ContentModelLink | ContentModelCode | ContentModelListLevel;
/**
 * Union type for segment decorators (Readonly)
 */
export declare type ReadonlyContentModelDecorator = ReadonlyContentModelLink | ReadonlyContentModelCode | ReadonlyContentModelListLevel;
