/**
 * A combination of CSS border value.
 * See https://developer.mozilla.org/en-US/docs/Web/CSS/border for more information
 */
export interface Border {
    /**
     * Width of the border
     */
    width?: string;
    /**
     * Style of the border
     */
    style?: string;
    /**
     * Color of the border
     */
    color?: string;
}
